#pragma once

#include "v3.h"
#include "framebuffer.h"
#include "ppc.h"

class TM {

public:
	V3 *verts, *cols;
	int vertsN;
	unsigned int *tris;
	int trisN;
	int enabled;

	TM() : verts(0), cols(0), vertsN(0), tris(0), trisN(0), enabled(1) {};
	void SetToBox(V3 O, V3 dims, V3 color);
	void Allocate(int vsN, int tsN);
	void RenderPoints(PPC *ppc, FrameBuffer *fb);
	void RenderWireframe(PPC *ppc, FrameBuffer *fb);
	V3 GetCenterOfMass();
	void LoadBin(char *fname);
	void RotateAboutAxis(V3 O, V3 a, float theta);
};